<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:46 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>io.mosip.registration.entity Class Hierarchy (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="io.mosip.registration.entity Class Hierarchy (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/dto/mastersync/package-tree.html">Prev</a></li>
<li><a href="../../../../io/mosip/registration/entity/id/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/entity/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package io.mosip.registration.entity</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/AuditLogControl.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">AuditLogControl</span></a></li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/KeyStore.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">KeyStore</span></a></li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/MasterCommonFields.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">MasterCommonFields</span></a></li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">RegistrationCommonFields</span></a>
<ul>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/AppAuthenticationMethod.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">AppAuthenticationMethod</span></a></li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/AppDetail.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">AppDetail</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/ApplicantValidDocument.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">ApplicantValidDocument</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/Application.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">Application</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/AppRolePriority.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">AppRolePriority</span></a></li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/BiometricAttribute.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">BiometricAttribute</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/BiometricType.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">BiometricType</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/BlacklistedWords.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">BlacklistedWords</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/CenterMachine.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">CenterMachine</span></a></li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/DocumentCategory.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">DocumentCategory</span></a></li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/DocumentType.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">DocumentType</span></a></li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/Gender.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">Gender</span></a></li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/GlobalParam.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">GlobalParam</span></a></li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/Holiday.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">Holiday</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/IdType.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">IdType</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/IndividualType.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">IndividualType</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/Language.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">Language</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/Location.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">Location</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/MachineMaster.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">MachineMaster</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/MachineType.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">MachineType</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/PreRegistrationList.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">PreRegistrationList</span></a></li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/ProcessList.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">ProcessList</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/ReasonCategory.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">ReasonCategory</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/ReasonList.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">ReasonList</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/RegCenterDevice.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">RegCenterDevice</span></a></li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/RegCenterUser.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">RegCenterUser</span></a></li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/RegCentreMachineDevice.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">RegCentreMachineDevice</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/RegDeviceMaster.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">RegDeviceMaster</span></a></li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/RegDeviceSpec.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">RegDeviceSpec</span></a></li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/RegDeviceType.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">RegDeviceType</span></a></li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">Registration</span></a></li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/RegistrationCenter.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">RegistrationCenter</span></a></li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/RegistrationCenterType.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">RegistrationCenterType</span></a></li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/RegMachineSpec.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">RegMachineSpec</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/ScreenAuthorization.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">ScreenAuthorization</span></a></li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">SyncControl</span></a></li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/SyncJobDef.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">SyncJobDef</span></a></li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/Title.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">Title</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/UserBiometric.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">UserBiometric</span></a></li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/UserDetail.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">UserDetail</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/UserMachineMapping.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">UserMachineMapping</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/UserPassword.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">UserPassword</span></a></li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/UserRole.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">UserRole</span></a></li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/ValidDocument.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">ValidDocument</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
</ul>
</li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/RegistrationTransaction.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">RegistrationTransaction</span></a></li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">SyncTransaction</span></a></li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/TemplateCommonFields.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">TemplateCommonFields</span></a>
<ul>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/Template.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">Template</span></a></li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/TemplateFileFormat.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">TemplateFileFormat</span></a></li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/TemplateType.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">TemplateType</span></a></li>
</ul>
</li>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/TemplateEmbeddedKeyCommonFields.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">TemplateEmbeddedKeyCommonFields</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">io.mosip.registration.entity.<a href="../../../../io/mosip/registration/entity/RegistrationAuditDates.html" title="interface in io.mosip.registration.entity"><span class="typeNameLink">RegistrationAuditDates</span></a></li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/dto/mastersync/package-tree.html">Prev</a></li>
<li><a href="../../../../io/mosip/registration/entity/id/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/entity/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
